@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_excel-variables.scss";

.yw-excel-import-wizard {

	&-component {
		margin: $excel-import-wizard__component-container--margin;

		&.z-groupbox {
			.z-groupbox-content {
				padding-left: 0;
				padding-right: 0;
			}
		}
		&:last-child {
			margin-bottom: 0;
		}
	}
	&-fileupload {
		border: $excel-import-wizard__upload-btn--border;
		background-color: $excel-import-wizard__upload-btn--bg-color;
		color: $excel-import-wizard__upload-btn--color;
		width: 100%;
		display: block;

		&:hover,
		&:focus.yw-excel-import-wizard-fileupload:hover,
		&:active {
			background-color: $excel-import-wizard__upload-btn-hover--bg-color;
			color: $excel-import-wizard__upload-btn-hover--color;
			border-color: $excel-import-wizard__upload-btn-hover--bg-color;
			outline: none;
			box-shadow: none;
		}
		&:focus{
			border: $excel-import-wizard__upload-btn--border;
			background-color: $excel-import-wizard__upload-btn--bg-color;
			color: $excel-import-wizard__upload-btn--color;
		}
	}

	&-drop-anchor,
	&-drop-upload {
		height: $excel-import-wizard__drop-area--height;
		box-sizing: border-box;
	}

	&-drop-anchor {
		border: $excel-import-wizard__drop-area--border;
		border-radius: $excel-import-wizard__drop-area--border-radius;
		background-color: $excel-import-wizard__drop-area--bg-color;
		color: $excel-import-wizard__drop-area--color;
		text-align: center;
		display: inline-table;
		width: 100%;

		.z-label {
			padding-left: $excel-import-wizard__drop-area-label--padding-left;
			color: inherit;
			display: table-cell;
			vertical-align: middle;
			position: relative;
			
			&:before {
				width: $excel-import-wizard__drop-area-icon--width;
				height: $excel-import-wizard__drop-area-icon--height;
				margin-top: $excel-import-wizard__drop-area-icon--margin-top;
				margin-left: $excel-import-wizard__drop-area-icon--margin-left;
				background: $excel-import-wizard__drop-area-icon--bg;
				transform: translateY(-50%);
				left: 50%;
				position: absolute;
				display: inline-block;
				content: "";
			}
		}
	}

	&-drop-upload {
		background: transparent;
		
		+ .yw-excel-import-wizard-drop-anchor {
			background-color: $excel-import-wizard__drop-area-on-add--bg-color;
			
		}
		&[style*="display: none"] + .yw-excel-import-wizard-drop-anchor {
			background-color: $excel-import-wizard__drop-area--bg-color;
			border-color: $excel-import-wizard__drop-area--color;
		}
		> div {
			display: none;
		}
	}

	&-attachments {
		border-top: $excel-import-wizard__attachment-item--border-top;
		padding: $excel-import-wizard__attachment-item--padding;

		&:first-child {
			border-top: none;
		}
		a {
		  color: darkslategray;
		  font-size: $excel-import-wizard__attachment-entry--font-size;
		  text-decoration: none;

		  .z-icon-paperclip {
		  	margin-right: $excel-import-wizard__attachment-entry-icon--margin-right;
		  }
		}
		
		&-btn {
			display: inline-block;
			float: right;
			width: $excel-import-wizard__attachment-delete-btn--size;
			height: $excel-import-wizard__attachment-delete-btn--size;
			min-height: $excel-import-wizard__attachment-delete-btn--size;

			&,
			&:hover,
			&:focus,
			&:active {
				background: transparent;
				padding: 0;
				box-shadow: none;
				border: none;
			}
		}
		span {
			height: $excel-import-wizard__attachment-label--height;
			line-height: $excel-import-wizard__attachment-label--line-height;
			max-width: $excel-import-wizard__attachment-label--max-width;
			display: inline-block;
		}
	}
}